#import <Foundation/Foundation.h>
#import <Capacitor/Capacitor.h>

// Define the plugin using the CAP_PLUGIN Macro, and
// each method the plugin supports using the CAP_PLUGIN_METHOD macro.
CAP_PLUGIN(QRCodeStudioPlugin, "QRCodeStudio",
           CAP_PLUGIN_METHOD(scan, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(generate, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(stopScan, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(pauseScan, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(resumeScan, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(toggleTorch, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(checkPermissions, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(requestPermissions, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(scanFromFile, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(saveToHistory, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(getHistory, CAPPluginReturnPromise);
           CAP_PLUGIN_METHOD(clearHistory, CAPPluginReturnPromise);
)